Subject: [bug#61645] [PATCH mumi 0/1] Add CLI client to search for issues

From: Ludovic Courtès <[email-masked]>
Date: Wed, 08 Mar 2023 13:05:53 +0100

Hi Arun,

Arun Isaac <[email-masked]> skribis:

> This patch adds a mumi CLI client that lets one search for issues from
> the command line by calling mumi's GraphQL API. This patch requires a
> .mumi/config file in the guix repo with the following contents.
>
> ((debbugs-host . "debbugs.gnu.org")
>  (patch-email-address . "[email-masked]")
>  (mumi-host . "issues.guix.gnu.org"))
>
> After adding .mumi/config, you can run search queries like
>
> $ /path/to/mumi/pre-inst-env mumi search zig is:open

Yay, this is great!!

> This is only the beginning. I have WIP patches that will add a "mumi
> send-email" subcommand that will finally free us from our debbugs
> dance when sending multiple patches. I will send them separately once
> I have tested it more.

Woow, sounds really nice.  I’m all for it!

Thanks,
Ludo’.